<?
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################
$m = @$db->sql_query("select * from `forum_msg` where `id`='".$fid."';" );
$mess = @$db->sql_fetchrow($m);
if (mysql_affected_rows() == 0){
echo '<b>Такого сообщения не существует!</b>';
echo '<br />';
echo gb.'<a href="./">Форум</a>'.div;
foot();
}
$tid = $mess[t_id];
$tem = @$db->sql_fetchrow($q1 = @$db->sql_query("select  *  from  `forum_t` where `id`='".$tid."' ;" ));
if (mysql_affected_rows() == 0){
echo '<b>Такой темы не существует! Возможно она была удалена модератором.</b>';
echo '<br />';
echo gb.'<a href="./">Форум</a>'.div;
foot();
}
$page = check($_GET['page']);
$t_name = $tem ['name'];
$f = $tem ['f_id'];
$r = $tem ['r_id'];

$for = @$db->sql_fetchrow($db->sql_query( "select * from  `forum_f` where id='$f';" ));
$raz = @$db->sql_fetchrow($db->sql_query( "select * from  `forum_r` where id='$r';" ));

echo '<a href="./">Форумы</a>|<a href="razdel_'.$f.'">'.$for[name].'</a>';
echo '|<a href="temes_'.$r.'">'.$raz[name].'</a>|<a href="tema_'.$tid.'_'.$page.'">'.$tem['name'].'</a><br /><dl><dt></dt></dl>';

if ($tem['close']==1)
{echo 'Тема <b>'.$tem['name'].'</b> закрыта!'; exit;}


$act = check($_POST['act']);
if (empty($act)){


echo 'Цитирование сообощения:<br />';

echo citata.'<b>'.user($mess[user_id]).'</b>('.times($mess['time']).')  ';
$cit=substr($mess['msg'], 0, $set['for_cit']);
$cit=preg_replace('#^(?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,0}'.'((?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,500}).*#s','$1',$cit);
echo esc(trim(br(bbcode(links(stripcslashes(htmlspecialchars($cit))))))).div;
echo '<br />';

if ($ver!='wml')echo '<form action="?act=add&amp;tid='.$tid.'&amp;'.SID.'" method="post">';

if ($ver=='wml')echo 'Сообщение:<br /><input name="msg'.$ref.'" title="Сообщение"/><br/>';
else echo 'Сообщение:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg"></textarea><br />';



if ($ver=='wml'){
echo '<br /><anchor title="go">Цитировать<go href="?act=add'.$nk1.'&amp;tid='.$tid.'&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/>
<postfield name="act" value="act"/>
</go></anchor>';
echo '<br/>';
}else{
echo '<input name="act" type="hidden" value="act"/>';
echo "<br /><input type=\"submit\" class=\"ibutton\" value=\"Цитировать\"/></form><br /><br />";
}


echo '<br /><a href="tema_'.$tid.'_'.$page.'"><b>В тему</b></a><br />';

}else{

$msg = check($_POST['msg']);
if ($user['translit']==1)$msg = translit($msg);
$privat = check(intval($_POST['privat']));
$opprivat = check(intval($_POST['opprivat']));

$msg=substr($msg, 0, $set['size_vvod_for']);

if (strlen2($msg)<3)$er = 'Короткое сообщение!';

if (empty($er)){


$cit0=substr($mess['msg'], 0, $set['for_cit']);
$cit=preg_replace('#^(?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,0}'.'((?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,500}).*#s','$1',$cit);
$cit = '[b]'.user($mess[user_id]).'[/b]('.times($mess['time']).')'.text($cit0,false,true,false,false,false).'';

if ($db->sql_query ("INSERT INTO forum_msg (f_id,r_id,t_id,user_id,msg,time,privat,cit) VALUES ('$tem[f_id]','$tem[r_id]','".$tid."','$user[id]','$msg','$time','$privat','$cit')") && $db->sql_query("UPDATE `forum_t` SET `time` = '$time' WHERE `id` = '".$fid."'")){

echo "Ваше сообщение добавленно!";

//if ($fid == 5)require("tupica.php");

header("Location: tema_".$tid."_end?".SID);
}else echo "Oшибка!";
}else{echo $er; header("Location: ./tema_".$tid."_end?er=".$er."&".SID);  }


}
echo '<br /><dl><dt></dt></dl>';
?>